Bug 1113808 - Vagrant+vagrant-libvirt should be part of Fedora
Summary: Vagrant+vagrant-libvirt should be part of Fedora
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Miller
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-27 00:55 UTC by James (purpleidea)
Modified: 2015-02-10 00:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-10 00:54:53 UTC
Type: Bug


Attachments (Terms of Use)

Description James (purpleidea) 2014-06-27 00:55:24 UTC
Description of problem:

Vagrant+vagrant-libvirt should be part of Fedora. Including these two pieces would make it very easy to use vagrant in Fedora. The benefits include:

* Making it trivial for someone to try out a fully Puppet-ized and Vagrant-ized application. Example: Try out a GlusterFS cluster on your laptop in minutes! https://ttboj.wordpress.com/2014/01/08/automatically-deploying-glusterfs-with-puppet-gluster-vagrant/

* Using vagrant to mirror your production cluster/application. Test on the vagrant version before doing the change in production.

* Development! Vagrant is a very easy to use development tool.

* Vagrant-libvirt uses the existing (excellent) libvirt infrastructure so that virsh and virt-manager can be used in conjunction with vagrant for testing, debugging, etc...

* And much more...

I recommend basing the packaging on this article which explains how to get vagrant-libvirt working on Fedora:
https://ttboj.wordpress.com/2014/05/13/vagrant-on-fedora-with-libvirt-reprise/

I'm more than happy to contribute additions to the SPEC file, and hopefully be useful on the technical side too.

Cheers!

Comment 1 James (purpleidea) 2014-06-27 18:22:09 UTC
For anyone who is interested in contributing to this effort, work is ongoing here:

https://github.com/maxamillion/vagrant-libvirt-rpm/

In addition, if anyone can contribute the .SPEC files from the upstream vagrant project for vagrant itself, please let us know. They are currently nowhere to be found.

Comment 2 James (purpleidea) 2014-06-27 19:15:23 UTC
Just opened: https://github.com/mitchellh/vagrant/issues/4117
(Where are the .spec files?)

Comment 3 Gilles Dubreuil 2015-02-10 00:54:53 UTC
This is obsolete now as Vagrant is finally making its way towards Fedora 21 (BZ#1020456 and BZ#1168333) and it will not be part of Fedora 20.


Note You need to log in before you can comment on or make changes to this bug.